PO4A-UPDATEPO(1p)

NOME
po4a-updatepo - atualizar a tradução de documentação (em formato PO)

SINOPSE
po4a-updatepo -f fmt (-m master.docE)+ (-p XX.po)+

(XX.po são as saídas, todos os outros são entradas)

DESCRIÇÃO
O objetivo do projeto po4a (PO para tudo) é facilitar traduções (e mais interessante, a manutenção das traduções) usando ferramentas gettext em áreas onde eles não eram esperados como documentação.

O script po4a-updatepo é encarregado de atualizar ficheiros PO para faze-los refletir as alterações feitas no ficheiro de documentação original. Para isso, converte o ficheiro de documentação num ficheiro POT, e invoca msgmerge(1) neste novo POT e nos ficheiros PO fornecidos.

É possível dar mais do que um ficheiro PO (se você quiser atualizar vários idiomas de uma só vez), e os alguns ficheiros de documentação (se deseja armazenar as traduções de diversos documentos no mesmo ficheiro PO).

Se o documento principal tem carateres não-ASCII, irá converter ficheiro PO para UTF-8 (se não estiverem já), a fim de permitir carateres não-padrãonuma maneira de cultura independente.

OPÇÕES

-f, --format
    O formato da documentação que pretende processar. Use a opção --help-format para ver a lista de formatos disponíveis.

-m, --master
    Ficheiro(s) contendo o documento principal para traduzir.

-M, --master-charset
    Conjunto de carateres dos ficheiros contendo o documento a traduzir. Note que todos os ficheiros devem ter o mesmo conjunto de carateres.

-p, --po
    Ficheiro(s) PO para atualizar. Se esses ficheiros não existirem, são criados por po4a-updatepo.

-o, --option
    Opção(s) extra para passar para o formato em modo de extensão e outros modulos internos do po4a. Especifique cada opção em formato 'name=value'. Consulte a secção documentação de cada modo de extensão para obter mais informações sobre as opções válidas e seus significados.

--no-previous
    Esta opção remove --previous a partir das opções passadas para B <msgmerge> Isto permite suportar versões do gettext mais cedo do que 0.16.

--previous
    Esta opção acrescenta --previous ás opções passadas para msgmerge. Isso requer gettext 0.16 ou posterior, e é ativado por padrão.

--msgmerge-opt options
    Extra options for msgmerge(1).

-h, --help
    Mostrar uma pequena mensagem de ajuda.

--help-format
    Lista os formatos de documentação compreendidos por po4a.

-V, --version
    Mostrar a versão do script e sair

-v, --verbose
    Aumentar o detalhe do programa.

-d, --debug
    Saída de alguma informação de depuração.

--porefs type[,wrap|nowrap]
    Especificar o formato de referência. Argumento type pode ser um none para não produzir qualquer referência, noline para não especificar o número da linha (mais exactamente todos os números de linha são substituídos por 1), counter para substituir o número de linha por um contador crescente, e full para incluir referências completas.

    O argumento pode ser seguido por uma vírgula ou pela palavra-chave wrap ou nowrap. Referências são escritas por padrão em uma única linha. A opção wrap envolve referências sobre várias linhas, para imitar as ferramentas gettext (xgettext e msgmerge). Esta opção irá tornar-se o padrão num lançamento futuro, porque é mais sensível. A opção nowrap é acessível para os utilizadores que querem manter o comportamento antigo.

--msgid-bugs-address email@address
    Definir o endereço do relatório para msgid bugs. Por padrão, os ficheiros POT criados não têm campos Report-Msgid-bugs-To.

--copyright-holder string
    Definir o titular dos direitos de autor no cabeçalho POT. O valor padrão é " Free Software Foundation, Inc. "

--package-name string
    Definir o nome do pacote para o cabeçalho POT. O padrão é "PACOTE".

--package-version string
    Definir o nome do pacote para o cabeçalho POT. O padrão é "VERSÃO".

VER TAMBÉM
po4a-gettextize(1), po4a-normalize(1), po4a-translate(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

DIREITOS DE AUTOR E LICENÇA
Direitos de Autor 2002-2012 por SPI, inc.

Este programa é software livre, você pode redistribuí-lo e/ou modificá-lo sob os termos da GPL (consulte o ficheiro CÓPIA).